import java.io.FileReader;
import java.io.IOException;

//Name the cipher text file test.txt
//this program calculates the frequency of each letter that appears in the file

public class CopyCharacters 
{
	
    public static void main(String[] args) throws IOException 
    {
    	int[] freqs = new int[26];
    	
        FileReader inputStream = null;
        

        try 
        {
            inputStream = new FileReader("test.txt");
            int count = 0;

            int c;
            while ((c = inputStream.read()) != -1) 
            {
            	if(Character.isLetter(c))
            	{
            		freqs[c - 'a']++;
            		count++;
            	}
            	
            }
            
         } 
        finally 
        {
            if (inputStream != null) 
            {
                inputStream.close();
            }
        
        }
        System.out.println("\n");
        for(int i = 0; i<26; i++)
        {
        	System.out.println(freqs[i]);
        }
    }
    
}